Loading...
Searching...
No Matches
types.h File Reference

AMQP and API data types. More...

`#include <proton/import_export.h>`
`#include <stddef.h>`
`#include <proton/type_compat.h>`
Include dependency graph for types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | pn_decimal128_t
| A 128-bit decimal floating-point number. More...
struct | pn_uuid_t
| A 16-byte universally unique identifier. More...
struct | pn_bytes_t
| A const byte buffer. More...
struct | pn_rwbytes_t
| A non-const byte buffer. More...

## Macros

#define | PN_MILLIS_MAX
| The maximum value for pn_millis_t.

## Typedefs

typedef uint32_t | pn_sequence_t
| A sequence number.
typedef uint32_t | pn_millis_t
| A span of time in milliseconds.
typedef uint32_t | pn_seconds_t
| A span of time in seconds.
typedef int64_t | pn_timestamp_t
| A 64-bit timestamp in milliseconds since the Unix epoch.
typedef uint32_t | pn_char_t
| A 32-bit Unicode code point.
typedef uint32_t | pn_decimal32_t
| A 32-bit decimal floating-point number.
typedef uint64_t | pn_decimal64_t
| A 64-bit decimal floating-point number.
typedef int | pn_state_t
| Holds the state flags for an AMQP endpoint.
typedef struct pn_connection_t | pn_connection_t
| An AMQP Connection object.
typedef struct pn_session_t | pn_session_t
| An AMQP Session object.
typedef struct pn_link_t | pn_link_t
| An AMQP Link object.
typedef struct pn_delivery_t | pn_delivery_t
| An AMQP Delivery object.
typedef struct pn_collector_t | pn_collector_t
| An event collector.
typedef struct pn_listener_t | pn_listener_t
| A listener for incoming connections.
typedef struct pn_transport_t | pn_transport_t
| A network channel supporting an AMQP connection.
typedef struct pn_proactor_t | pn_proactor_t
| A harness for multithreaded IO.
typedef struct pn_raw_connection_t | pn_raw_connection_t
| A raw network connection used with the proactor.
typedef struct pn_event_batch_t | pn_event_batch_t
| A batch of events that must be handled in sequence.

## Functions

pn_bytes_t | pn_bytes (size_t size, const char *start)
| Create a pn_bytes_t.
pn_rwbytes_t | pn_rwbytes (size_t size, char *start)
| Create a pn_rwbytes_t.

## Variables

const pn_bytes_t | pn_bytes_null
const pn_rwbytes_t | pn_rwbytes_null

## Detailed Description

AMQP and API data types.